Package javassist

# Class Modifier

java.lang.Object
javassist.Modifier

public class Modifier extends Object
The Modifier class provides static methods and constants to decode class and member access modifiers. The constant values are equivalent to the corresponding values in `javassist.bytecode.AccessFlag`.

All the methods/constants in this class are compatible with ones in `java.lang.reflect.Modifier`.

See Also:
  - `CtClass.getModifiers()`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABSTRACT`
`static final int`
`ANNOTATION`
`static final int`
`ENUM`
`static final int`
`FINAL`
`static final int`
`INTERFACE`
`static final int`
`NATIVE`
`static final int`
`PRIVATE`
`static final int`
`PROTECTED`
`static final int`
`PUBLIC`
`static final int`
`STATIC`
`static final int`
`STRICT`
`static final int`
`SYNCHRONIZED`
`static final int`
`TRANSIENT`
`static final int`
`VARARGS`
`static final int`
`VOLATILE`

## Constructor Summary

Constructors
Constructor
Description
`Modifier()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`clear(int mod, int clearBit)`
Clears a specified bit in `mod`.
`static boolean`
`isAbstract(int mod)`
Returns true if the modifiers include the `abstract` modifier.
`static boolean`
`isAnnotation(int mod)`
Returns true if the modifiers include the `annotation` modifier.
`static boolean`
`isEnum(int mod)`
Returns true if the modifiers include the `enum` modifier.
`static boolean`
`isFinal(int mod)`
Returns true if the modifiers include the `final` modifier.
`static boolean`
`isInterface(int mod)`
Returns true if the modifiers include the `interface` modifier.
`static boolean`
`isNative(int mod)`
Returns true if the modifiers include the `native` modifier.
`static boolean`
`isPackage(int mod)`
Returns true if the modifiers do not include either `public`, `protected`, or `private`.
`static boolean`
`isPrivate(int mod)`
Returns true if the modifiers include the `private` modifier.
`static boolean`
`isProtected(int mod)`
Returns true if the modifiers include the `protected` modifier.
`static boolean`
`isPublic(int mod)`
Returns true if the modifiers include the `public` modifier.
`static boolean`
`isStatic(int mod)`
Returns true if the modifiers include the `static` modifier.
`static boolean`
`isStrict(int mod)`
Returns true if the modifiers include the `strictfp` modifier.
`static boolean`
`isSynchronized(int mod)`
Returns true if the modifiers include the `synchronized` modifier.
`static boolean`
`isTransient(int mod)`
Returns true if the modifiers include the `transient` modifier.
`static boolean`
`isVarArgs(int mod)`
Returns true if the modifiers include the `varargs` (variable number of arguments) modifier.
`static boolean`
`isVolatile(int mod)`
Returns true if the modifiers include the `volatile` modifier.
`static int`
`setPackage(int mod)`
Clears the public, protected, and private bits.
`static int`
`setPrivate(int mod)`
Truns the private bit on.
`static int`
`setProtected(int mod)`
Truns the protected bit on.
`static int`
`setPublic(int mod)`
Truns the public bit on.
`static String`
`toString(int mod)`
Return a string describing the access modifier flags in the specified modifier.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PUBLIC

public static final int PUBLIC

See Also:
  - Constant Field Values

### PRIVATE

public static final int PRIVATE

See Also:
  - Constant Field Values

### PROTECTED

public static final int PROTECTED

See Also:
  - Constant Field Values

### STATIC

public static final int STATIC

See Also:
  - Constant Field Values

### FINAL

public static final int FINAL

See Also:
  - Constant Field Values

### SYNCHRONIZED

public static final int SYNCHRONIZED

See Also:
  - Constant Field Values

### VOLATILE

public static final int VOLATILE

See Also:
  - Constant Field Values

### VARARGS

public static final int VARARGS

See Also:
  - Constant Field Values

### TRANSIENT

public static final int TRANSIENT

See Also:
  - Constant Field Values

### NATIVE

public static final int NATIVE

See Also:
  - Constant Field Values

### INTERFACE

public static final int INTERFACE

See Also:
  - Constant Field Values

### ABSTRACT

public static final int ABSTRACT

See Also:
  - Constant Field Values

### STRICT

public static final int STRICT

See Also:
  - Constant Field Values

### ANNOTATION

public static final int ANNOTATION

See Also:
  - Constant Field Values

### ENUM

public static final int ENUM

See Also:
  - Constant Field Values

## Constructor Details

### Modifier

public Modifier()

## Method Details

### isPublic

public static boolean isPublic(int mod)
Returns true if the modifiers include the `public` modifier.

### isPrivate

public static boolean isPrivate(int mod)
Returns true if the modifiers include the `private` modifier.

### isProtected

public static boolean isProtected(int mod)
Returns true if the modifiers include the `protected` modifier.

### isPackage

public static boolean isPackage(int mod)
Returns true if the modifiers do not include either `public`, `protected`, or `private`.

### isStatic

public static boolean isStatic(int mod)
Returns true if the modifiers include the `static` modifier.

### isFinal

public static boolean isFinal(int mod)
Returns true if the modifiers include the `final` modifier.

### isSynchronized

public static boolean isSynchronized(int mod)
Returns true if the modifiers include the `synchronized` modifier.

### isVolatile

public static boolean isVolatile(int mod)
Returns true if the modifiers include the `volatile` modifier.

### isTransient

public static boolean isTransient(int mod)
Returns true if the modifiers include the `transient` modifier.

### isNative

public static boolean isNative(int mod)
Returns true if the modifiers include the `native` modifier.

### isInterface

public static boolean isInterface(int mod)
Returns true if the modifiers include the `interface` modifier.

### isAnnotation

public static boolean isAnnotation(int mod)
Returns true if the modifiers include the `annotation` modifier.

Since:
  3.2

### isEnum

public static boolean isEnum(int mod)
Returns true if the modifiers include the `enum` modifier.

Since:
  3.2

### isAbstract

public static boolean isAbstract(int mod)
Returns true if the modifiers include the `abstract` modifier.

### isStrict

public static boolean isStrict(int mod)
Returns true if the modifiers include the `strictfp` modifier.

### isVarArgs

public static boolean isVarArgs(int mod)
Returns true if the modifiers include the `varargs` (variable number of arguments) modifier.

### setPublic

public static int setPublic(int mod)
Truns the public bit on. The protected and private bits are cleared.

### setProtected

public static int setProtected(int mod)
Truns the protected bit on. The protected and public bits are cleared.

### setPrivate

public static int setPrivate(int mod)
Truns the private bit on. The protected and private bits are cleared.

### setPackage

public static int setPackage(int mod)
Clears the public, protected, and private bits.

### clear

public static int clear(int mod, int clearBit)
Clears a specified bit in `mod`.

### toString

public static String toString(int mod)
Return a string describing the access modifier flags in the specified modifier.

Parameters:
  `mod` - modifier flags.